Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.wsee.jws.util
Interface Logger

public interface Logger

The Logger interface defines application logging functions. A Logger can be obtained from a `com.bea.control.JwsContext` or `com.bea.control.ControlContext` instance. Logging may be enabled at one of four levels: "debug" (lowest level, results in highest volume of output), "info", "warn" or "error" (highest level, results in least output). Messages emitted below the current logging level are not logged.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `debug(String message)` Emit a "debug" level message.
`void` | `debug(String message, Throwable throwable)` Emit a "debug" level message with an associated `Throwable`.
`void` | `error(String message)` Emit a "error" level message.
`void` | `error(String message, Throwable throwable)` Emit a "error" level message with an associated `Throwable`.
`void` | `info(String message)` Emit a "info" level message.
`void` | `info(String message, Throwable throwable)` Emit a "info" level message with an associated `Throwable`.
`boolean` | `isDebugEnabled()` returns true if "debug" level logging is enabled.
`boolean` | `isErrorEnabled()` returns true if "error" level logging is enabled.
`boolean` | `isInfoEnabled()` returns true if "info" level logging is enabled.
`boolean` | `isWarnEnabled()` returns true if "warn" level logging is enabled.
`void` | `warn(String message)` Emit a "warn" level message.
`void` | `warn(String message, Throwable throwable)` Emit a "warn" level message with an associated `Throwable`.

Method Detail

### debug

    public void debug(String message)

  Emit a "debug" level message.

  Parameters:
    `message` - the message to write to the log.

### debug

    public void debug(String message,
                      Throwable throwable)

  Emit a "debug" level message with an associated `Throwable`.

  Parameters:
    `message` - the message to write to the log.
    `throwable` - the `Throwable` (typically an `Exception`) to write to the log.

### error

    public void error(String message)

  Emit a "error" level message.

  Parameters:
    `message` - the message to write to the log.

### error

    public void error(String message,
                      Throwable throwable)

  Emit a "error" level message with an associated `Throwable`.

  Parameters:
    `message` - the message to write to the log.
    `throwable` - the `Throwable` (typically an `Exception`) to write to the log.

### info

    public void info(String message)

  Emit a "info" level message.

  Parameters:
    `message` - the message to write to the log.

### info

    public void info(String message,
                     Throwable throwable)

  Emit a "info" level message with an associated `Throwable`.

  Parameters:
    `message` - the message to write to the log.
    `throwable` - the `Throwable` (typically an `Exception`) to write to the log.

### isDebugEnabled

    public boolean isDebugEnabled()

  returns true if "debug" level logging is enabled. "debug" level is only enabled if the current logging level is "debug".

### isErrorEnabled

    public boolean isErrorEnabled()

  returns true if "error" level logging is enabled. "error" level is enabled if the current logging level is "error", "warn", "info" or "debug".

### isInfoEnabled

    public boolean isInfoEnabled()

  returns true if "info" level logging is enabled. "info" level is enabled if the current logging level is "info" or "debug".

### isWarnEnabled

    public boolean isWarnEnabled()

  returns true if "warn" level logging is enabled. "warn" level is enabled if the current logging level is "warn", "info" or "debug".

### warn

    public void warn(String message)

  Emit a "warn" level message.

  Parameters:
    `message` - the message to write to the log.

### warn

    public void warn(String message,
                     Throwable throwable)

  Emit a "warn" level message with an associated `Throwable`.

  Parameters:
    `message` - the message to write to the log.
    `throwable` - the `Throwable` (typically an `Exception`) to write to the log.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD